Subject: Re: linux-next: manual merge of the tip tree with the sparc-next tree

From: Sam Ravnborg <[email-masked]>
Date: Mon, 14 May 2012 07:47:14 +0200

On Mon, May 14, 2012 at 02:51:14PM +1000, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the tip tree got a conflict in
> arch/sparc/include/asm/thread_info_32.h between commit e7b7e0c35655
> ("sparc32: drop btfixup for alloc_thread_info_node/free_thread_info")
> from the sparc-next tree and commit f5e10287367d ("task_allocator: Use
> config switches instead of magic defines") from the tip tree.
> 
> Just context changes.  I fixed it up (see below) and can carry the fix as
> necessary.

Hi Stephen.

The right fix would be to drop the define _and_ delete the local
implementation of alloc_thread_info_node() as the generic version
can be used.

But if this builds I can always revist this after the merge window,
so no need for you to do more.

	Sam